=== debian/control ===
Source: keyutils
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9.20151004),
    lsb-release,
Standards-Version: 3.9.8
Homepage: http://people.redhat.com/~dhowells/keyutils/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/keyutils.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/keyutils.git

Package: keyutils
Architecture: linux-any
Multi-Arch: foreign
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
Description: Linux Key Management Utilities
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.

Package: libkeyutils1
Section: libs
Priority: standard
Architecture: linux-any
Multi-Arch: same
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Linux Key Management Utilities (library)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package provides a wrapper library for the key management facility system
 calls.

Package: libkeyutils-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
    ${misc:Depends},
    libkeyutils1 (= ${binary:Version}),
Description: Linux Key Management Utilities (development)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the development files.
