=== debian/tests/control ===
Tests: upstream-runtime-tests
Restrictions: needs-root breaks-testbed allow-stderr
Depends: keyutils, lsb-release, file
