=== debian/watch ===
version=3
http://people.redhat.com/~dhowells/keyutils/keyutils-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 29 Jan 2013 21:10:46 +0000
