## keyutils 1.6.1

=== debian/changelog ===
keyutils (1.6.1-3+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 06 Mar 2022 22:32:38 +0000

keyutils (1.6.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13
  * Drop cifs.patch (obsolete)

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Mar 2022 11:13:34 +0100

keyutils (1.6.1-2) unstable; urgency=medium

  * Update symbols file (3 symbols added)
  * Add Tests-for-KEYCTL_MOVE-require-kernel-5.3-or-above.patch.
    Resolves a FTBFS on build hosts with a kernel before 5.2

 -- Christian Kastner <ckk@debian.org>  Mon, 10 Feb 2020 17:23:36 +0100

keyutils (1.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sun, 09 Feb 2020 21:15:07 +0100
