=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: keyutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Kastner <ckk@debian.org>
+Maintainer: Christian Kastner <ckk@debian.org>
 Build-Depends:
-    debhelper (>= 9.20151004),
+    debhelper-compat (= 13),
     lsb-release,
-Standards-Version: 3.9.8
-Homepage: http://people.redhat.com/~dhowells/keyutils/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/keyutils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/keyutils.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://people.redhat.com/~dhowells/keyutils/
+Vcs-Git: https://salsa.debian.org/debian/keyutils.git
+Vcs-Browser: https://salsa.debian.org/debian/keyutils
 
 Package: keyutils
 Architecture: linux-any
@@ -25,7 +25,6 @@
 
 Package: libkeyutils1
 Section: libs
-Priority: standard
 Architecture: linux-any
 Multi-Arch: same
 Depends:
