=== debian/rules ===
#!/usr/bin/make -f


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DEB_HOST_*, DEB_BUILD* and $SOURCE_DATE_EPOCH are provided by debhelper
CHANGEDATE = $(shell date -u -d @$(SOURCE_DATE_EPOCH) +%F)

%:
	dh $@

override_dh_auto_build:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	dh_auto_build -- BUILDDATE=$(CHANGEDATE) CC=$(DEB_HOST_GNU_TYPE)-gcc AR=$(DEB_HOST_GNU_TYPE)-ar
else
	dh_auto_build -- BUILDDATE=$(CHANGEDATE)
endif

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/lib/$(DEB_HOST_MULTIARCH) USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	# Use  the library and executable we just built;
	# skip tests requiring root
	#dh_auto_test -- \
	#	PATH=$(CURDIR):$(PATH) \
	#	LD_LIBRARY_PATH=$(CURDIR) \
	#	SKIPROOTREQ=yes \
	#	SKIPINSTALLREQ=yes
