## keyutils 1.6.3

=== debian/changelog ===
keyutils (1.6.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Change Homepage to kernel.org page
  * Add missing symbols to *.symbols file
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 22:15:58 +0100

keyutils (1.6.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1012606)
    - Add Mark-test-requiring-root-as-such.patch
    - Drop endianness-and-PIE.patch
    - Refresh patches
  * Update d/watch (switch URL)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Update autopkgtest

 -- Christian Kastner <ckk@debian.org>  Sun, 19 Jun 2022 13:18:10 +0200
