=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 override_dh_auto_test:
 	# Use  the library and executable we just built;
 	# skip tests requiring root
-	#dh_auto_test -- \
-	#	PATH=$(CURDIR):$(PATH) \
-	#	LD_LIBRARY_PATH=$(CURDIR) \
-	#	SKIPROOTREQ=yes \
-	#	SKIPINSTALLREQ=yes
+	dh_auto_test -- \
+		PATH=$(CURDIR):$(PATH) \
+		LD_LIBRARY_PATH=$(CURDIR) \
+		SKIPROOTREQ=yes \
+		SKIPINSTALLREQ=yes
