=== debian/tests/control ===
Tests: upstream-runtime-tests
Restrictions: allow-stderr
Depends: keyutils, lsb-release, file

Tests: upstream-runtime-tests-isolation
Restrictions: allow-stderr needs-root breaks-testbed isolation-machine
Depends: keyutils, lsb-release, file
